Subject: Re: [bug#28616] disable failing bluez test

From: Marius Bakke <[email-masked]>
Date: Wed, 11 Oct 2017 18:23:20 +0200

On 11 October 2017 18:10:58 CEST, Thomas Danckaert <[email-masked]> wrote:
>From: Marius Bakke <[email-masked]>
>Subject: Re: [bug#28616] disable failing bluez test
>Date: Tue, 10 Oct 2017 23:40:39 +0200
>
>> Thomas Danckaert <[email-masked]> writes:
>> 
>>> From: Marius Bakke <[email-masked]>
>>> Subject: Re: [bug#28616] disable failing bluez test
>>> Date: Tue, 03 Oct 2017 23:50:56 +0200
>>>
>>>> I think we should apply the patch regardless (on 'core-updates'),
>with a
>>>> link to the upstream discussion.  IMO it's more important to be
>able to
>>>> build from source regardless of hardware, than running this one
>unit
>>>> test.  What do you think?
>>>
>>> I agree.
>>>
>>> I'll push this to core-updates then.
>> 
>> On second thought, "bluez" is currently failing on armhf, seemingly
>due
>> to the original patch:
><https://hydra.gnu.org/build/2304811/nixlog/4/raw>
>
>I believe attached patch does the job for master, just touching armhf
>and leaving other architectures alone.  I tested it by replacing
>armhf-linux with x86_64-linux, and then it skips the test ...
>
>WDYT?

Yay! I am unable to test it right now, but if you've verified that this doesn't change the derivation on other architectures this LGTM.

Thank you!

PS: feel free to merge it to core-updates after pushing and modify it to apply on all arches there. If you're not comfortable I can do this later.

-- 
Sent from my Android device with K-9 Mail. Please excuse my brevity.